Package org.gradle.api.tasks.testing

## Interface AggregateTestReport

- All Superinterfaces:
    `Named`, `ReportSpec`

      @Incubating
      public interface AggregateTestReport
      extends ReportSpec

  A container for the inputs of an aggregated test report.
  Since:
    7.4

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TaskProvider<TestReport>` | `getReportTask()` | Contains the `TestReport` task instance which produces this report.
    `Property<java.lang.String>` | `getTestType()` | Contains a value representing the type of test suite this task belongs to.

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getReportTask

          TaskProvider<TestReport> getReportTask()

      Contains the `TestReport` task instance which produces this report.
      Returns:
        the task instance

    - #### getTestType

          Property<java.lang.String> getTestType()

      Contains a value representing the type of test suite this task belongs to. See static constants on `TestSuiteType` for examples.
      Returns:
        this report's test type